<?php
require_once '../../data/constant.php';
require_once '../../util/validate.php';
$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../data/table_access.php';
require_once '../../data/data_for_lec.php';

if (!isset($_SESSION[SESSION_ADMIN])) {
	if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

$lecture_id = "";
$comment_list = "";
$err_msg = "";
$refresh = "";
$close_button = "";

//2013/2/5add
$onload = "";
//date_default_timezone_set('Asia/Tokyo');

if (isset($_GET["lecture_id"]) && is_numeric($_GET["lecture_id"])) {
	$lecture_id = $_GET["lecture_id"];
} else {
	if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

//Ȥˤ륳Ȥ2018/12
require_once '../../util/for_lecture.php';
$avater_dur_lec_com_obj= new CAvaterCommentDurLecManu();
if ($avater_dur_lec_com_obj->main($lecture_id, $conn)) {
	$avater_dur_lec_com_obj->insertAgentComment();
}


if (isset($_GET["now_lec"]) && $_GET["now_lec"] == 1) {
	if (IS_LEC_COMMET == 1) {
		$onload = " onLoad='updateComment()'";
	} else {
	$refresh = "<meta http-equiv=\"Refresh\" content=\"5;URL=comment_durlec_list.php?lecture_id=".$lecture_id."&now_lec=1\" />";
	}
}

if (LEC_DISP_TYPE == 0) {
	$close_button = "<tr><td><a href='#' onClick=\"javascript:parent.document.getElementById('cdl_frame').style.display='none';\">";
	$close_button .= "<img src='../../images/closeComFrame.gif' align='right'/></a></td></tr>";
} else if (LEC_DISP_TYPE == 1) {
	$close_button = "";
}

$comment_list_object = new CCommentDurLecData();

//2018/10/15add
$avater_obj = new CAvaterAccess();

if ($comment_list_object->setCommentList($conn,$lecture_id)) {

	while ($res = $comment_list_object->dbFetchArr()) {


		//2018/10Хɽ
		$comment_list .= "<table><tr><td width='20%'>";
		$comment_list.= "<img src='";

		if ($res["agent_img"] == null) {
			//̥桼
			$img_file= "";
			if ($avater_obj->setAvaters($conn, $res["uid"])) {
				while ($res2 = $avater_obj->dbFetchArr()) {
					$img_file = htmlspecialchars($res2["avatar_file"],ENT_QUOTES);
				}
				$avater_obj->dbFreeResult();
			}

			if ($img_file == "") {
				$comment_list.= str_replace("uploads/","modules/user/images/no_avatar.gif",UPLOAD_URL);
			} else {
				$comment_list.=UPLOAD_URL.$img_file;
			}
		} else {
			$comment_list.= htmlspecialchars($res["agent_img"],3);

		}
		$comment_list.= "' width=30 height=40 alt='avatar'/>";


		$comment_list .= "</td>";
		$comment_list .= "<td width='80%'><b>".htmlspecialchars($res["uname"],3)."</b>:";
		$comment_list .= "<font color='grey'>".substr($res["create_time"],0,-3)."</font></td></tr>";
		$comment_list .= "<tr><td colspan='2'>".nl2br(htmlspecialchars($res["dur_comment"],3))."<br/></td></tr></table>";

		/*
		$comment_list .= "<b>".htmlspecialchars($res["uname"],3)."</b>:";
		$comment_list .= "<font color='grey'>".substr($res["create_time"],0,-3)."</font><p/>";


		$comment_list .= nl2br(htmlspecialchars($res["dur_comment"],3))."<br/>";
		*/

		$comment_list .= "<hr/><p/>";
	}
	$comment_list_object->dbFreeResult();
} else {
	$err_msg = "No data.";
}


if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
$show_data = file_get_contents(TEMPLATE_DIR.'ad_lec_reg/comment_durlec_list.tpl');
$show_data = str_replace(':ERR_MSG_REP:', $err_msg, $show_data);
$show_data = str_replace(':META_TAG_REP:', $refresh, $show_data);

$show_data = str_replace(':COMMENT_LIST_REP:', $comment_list, $show_data);
$show_data = str_replace(':CLOSE_BUTTON_REP:', $close_button, $show_data);
$show_data = str_replace(':ONLOAD_REP:', $onload, $show_data);
$show_data = str_replace(':LECTURE_ID_REP:', $lecture_id, $show_data);

echo $show_data;
?>