<?php
/*2013/9/12
 * ٥Ȥ򽪤桼ߤ뵭
 */

require_once '../../data/constant.php';
$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../data/table_access.php';
require_once '../../data/data_for_lec.php';
require_once '../../util/change_util.php';

if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

$ses_list = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_list['status'];
$admin_id=$ses_list['teacher_id'];

$event_link = "";
if (!isset($_REQUEST["event_link"]) || !is_numeric($_REQUEST["event_link"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
$event_link = $_REQUEST["event_link"];
$event_id = "";
$event_type = "";

$event_title = "";
$event_cont = "";
$interval_list = "";
$detail_link="";

$hidden_info = "";
$interval_title="";
$show_text = "";
$interval_id = "";

if (isset($_REQUEST["prac_id"]) && is_numeric($_REQUEST["prac_id"])) {
	$prac_id = $_REQUEST["prac_id"];
	$event_id = $_REQUEST["prac_id"];
	$hidden_info = "prac_id' value='".$prac_id;
	$event_type=2;
	$prac_object = new CPracTableAccess();
	
	$prac_data = $prac_object->getDetailPracticeData($conn, $prac_id);
	if ($prac_data == false) {
		$err_msg = "failed to get prac data";
	} else {
		
		$event_title = htmlspecialchars($prac_data["practice_title"],3);
		$event_cont = htmlspecialchars(mb_substr($prac_data["practice_text"],0,20),3);
		if ($prac_data["img_file"] <> "") $event_cont .= "<p/><src img='"."prac_".$prac_id."/".IMG_URL.$prac_data["img_file"]."' width='300' height='200'/>";
		$event_cont .= "<p/><hr/>";
		$detail_link = "../practice_reg/mod_form.php?practice_id=";
	}
	
} else if (isset($_REQUEST["vote_id"]) && is_numeric($_REQUEST["vote_id"])) {
	$vote_id = $_REQUEST["vote_id"];
	$event_id = $_REQUEST["vote_id"];
	$event_type=3;
	$hidden_info = "vote_id' value='".$vote_id;
	
	$vote_object = new CVoteTableAccess();
	
	$vote_data = $vote_object->getDetailVote($conn, $vote_id);
	
	if ($vote_data == false) {
		$err_msg = "failed to get vote data";
	} else {
		$event_title = htmlspecialchars($vote_data["vote_title"],3);
		
		$event_cont = htmlspecialchars(mb_substr($vote_data["vote_text"],0,20),3);
		if ($vote_data["img_url"] <> "") {
			$event_cont .= "<p/><src img='".htmlspecialchars($vote_data["img_url"],3)."' width='300' height='200'/>";
		}
		$event_cont .= "<p/><hr/>";
		$detail_link = "../vote_reg/mod_form.php?vote_id=";
	}
	
} else if (isset($_REQUEST["quiz_id"]) && is_numeric($_REQUEST["quiz_id"])) {
	$quiz_id = $_REQUEST["quiz_id"];
	$event_id = $_REQUEST["quiz_id"];
	$event_type=4;
	$hidden_info="quiz_id' value='".$quiz_id;
	
	$quiz_object = new CQuizTableAccess();
	$quiz_data=$quiz_object->getDetailQuiz($conn, $quiz_id);
	if ($quiz_data == false) {
		$err_msg = "failed to get quiz data";
	} else {
		$event_title =htmlspecialchars($quiz_data["quiz_nam"],3);
		
		$event_cont = htmlspecialchars(mb_substr($quiz_data["comment"],0,20),3);
		$detail_link = "../quiz_reg/update_form.php?quiz_id=";
	}
	
} else {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

if ($admin_status <> 1) {
	$lec_event_link_obj = new CLecEventlinkCheck();
	if (!$lec_event_link_obj->isAvailable($conn,$event_link,$admin_id,$event_id,$event_type)) {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/login.php");
		exit;
	}
}

$detail_link .= $event_id;
$hidden_info = $hidden_info;

$interval_id = "";
if (isset($_REQUEST["interval_id"])) {
	if (!is_numeric($_REQUEST["interval_id"])) {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/login.php");
		exit;
	}
	$interval_id = $_REQUEST["interval_id"];
}

$interval_object = new CIntervalTableAccess();

$cnt = 1;
if ($interval_object->setIntervalList($conn, $event_link)) {
	while ($res = $interval_object->dbFetchArr()) {
		if ($res["interval_id"] == $interval_id) {
			$interval_title = htmlspecialchars($res["interval_title"],3);
			$show_text = htmlspecialchars($res["show_text"],3);
		} else {
			
			$interval_list .= "<tr><td bgcolor='lightyellow'><b>".$cnt."</b> ";
			$interval_list .= source2Html($res["interval_title"]);
			
			//$interval_list .= "<input type='hidden' name='".$hidden_info."'/>";
			//$interval_list .= "<input type='hidden' name='event_link' value=".$event_link."/>";
				
			//$interval_list .= "<input type='hidden' name='del_id' value='".$res["interval_id"];
			//$interval_list .="'/><input type='button' value='"._COMMON_DEL_TXT."' onClick='delInterval()'/>";
			$interval_list .="<input type='button' value='"._COMMON_DEL_TXT."' onClick='delInterval(".$res["interval_id"].")'/>";
					
			$interval_list .= "</td></tr>";
			$interval_list .= "<tr><td>";
			$interval_list .= source2Html($res["show_text"]);
			$interval_list .= "</td></tr>";
			$cnt++;
		}
	}
	$interval_object->dbFreeResult();
}

if ($interval_list <> "") {
	$interval_list = "<table border=1 width='60%'><form action='interval_reg.php' name='del_form' method='post'><input type='hidden' name='".$hidden_info."'/><input type='hidden' name='event_link' value='".$event_link."'/><input type='hidden' name='del_id' value=''/>".$interval_list."</form></table>";
}

if ($conn <> "" && is_object($data_object)) $data_object->closeDB();

$show_data = file_get_contents(TEMPLATE_DIR.'ad_lec_reg/interval_list.tpl');

$show_data = str_replace(':ERR_MSG_REP:', $err_msg, $show_data);
$show_data = str_replace(':EVENT_TITLE_REP:', $event_title, $show_data);
$show_data = str_replace(':EVENT_CONT_REP:', $event_cont, $show_data);
$show_data = str_replace(':INTERVAL_LIST_REP:', $interval_list, $show_data);
$show_data = str_replace(':DETAIL_LINK_REP:', $detail_link, $show_data);
$show_data = str_replace(':EVENT_LINK_REP:', $event_link, $show_data);

$show_data = str_replace(':INTERVAL_TITLE_REP:', $interval_title, $show_data);
$show_data = str_replace(':INTERVAL_ID_REP:', $interval_id, $show_data);
$show_data = str_replace(':HIDDEN_INFO_REP:', $hidden_info, $show_data);
$show_data = str_replace(':INTERVAL_TXT_REP:', $show_text, $show_data);


echo $show_data;

?>