<?php
require_once '../../data/constant.php';
require_once '../../util/validate.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_lec.php';
require_once '../../data/data_for_group.php';
require_once '../../util/for_lecture.php';

ini_set("session.save_handler","files");
session_start();
if (!isset($_SESSION[SESSION_USR])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}
//ɻ
$ses_list = $_SESSION[SESSION_USR];
//$admin_status =$ses_list['status'];
$st_id=$ses_list['student_id'];

$err_msg = "";
$event_view = "";
$note_view = "";
$users_for_share = "";
$user_for_remove="";

$note_id = "";
$class_id = "";
$event_id = "";
$event_link = "";
$event_type="";

if (isset($_REQUEST["note_id"]) && is_numeric($_REQUEST["note_id"])) {
	$note_id = $_REQUEST["note_id"];
}

if (isset($_REQUEST["class_id"]) && is_numeric($_REQUEST["class_id"])) {
	$class_id = $_REQUEST["class_id"];
}

if (isset($_REQUEST["event_id"]) && is_numeric($_REQUEST["event_id"])) {
	$event_id = $_REQUEST["event_id"];
}

if (isset($_REQUEST["event_link"]) && is_numeric($_REQUEST["event_link"])) {
	$event_link = $_REQUEST["event_link"];
}

if (isset($_REQUEST["event_type"]) && is_numeric($_REQUEST["event_type"])) {
	$event_type = $_REQUEST["event_type"];
}

$search_text = "";
if (isset($_POST["search_flag"]) && $_POST["search_flag"] == 1 &&
		isset($_POST["search_text"])) {
	$search_text = $_POST["search_text"];
}

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {

	$note_object = new CNoteTableAccess();
	if (!$note_object->setOwnNote($data_object->conn,$note_id, $st_id)) {
		$err_msg = "IRREGULAR PARAMETER!<br/>";
	} else {
		while ($res = $note_object->dbFetchArr()) {
			$note_view = $res["note_text"];
		}
		$note_object->dbFreeResult();

		$note_show_other_object = new CNoteShowOtherAccess();
		if (isset($_REQUEST["share_flag"]) && $_REQUEST["share_flag"] == 1
				&& isset($_REQUEST["users_for_share"]) && is_array($_REQUEST["users_for_share"])) {
			//ΡȤζͭư
			foreach ($_REQUEST["users_for_share"] as $uid) {
				$note_show_other_object->insertShowOtherExe($data_object->conn,$note_id, $uid);
			}
		}

		if (isset($_REQUEST["remove_flag"]) && $_REQUEST["remove_flag"] == 1
				&& isset($_REQUEST["users_for_remove"]) && is_array($_REQUEST["users_for_remove"])) {
			//ΡȤζͭ
			foreach ($_REQUEST["users_for_remove"] as $uid) {
				$note_show_other_object->delShowOtherExe($data_object->conn, $note_id, $uid);
			}
		}

		$note_share_form_object = new CNoteShareFormMaker();
		if (!$note_share_form_object->main($data_object->conn, $note_id, $st_id, $class_id, $event_link, $event_id, $event_type, $note_show_other_object,$search_text)) {
			$err_msg = "Failed to set Note Share Data";
		} else {
			$users_for_share = $note_share_form_object->getUsersForShare();
			$user_for_remove = $note_share_form_object->getUsersForRemove();
			$event_view = $note_share_form_object->getEventView();
		}

	}
	$data_object->closeDB();
}

$show_data = file_get_contents(TEMPLATE_DIR.'usr_lec_info/usr_note_share_form.tpl');
$show_data = str_replace(':ERR_MSG_REP:', $err_msg, $show_data);

$show_data = str_replace(':USERS_FOR_SHARE_REP:', $users_for_share, $show_data);
$show_data = str_replace(':USERS_FOR_REMOVE_REP:', $user_for_remove, $show_data);
$show_data = str_replace(':NOTE_VIEW_REP:', $note_view, $show_data);
$show_data = str_replace(':EVENT_VIEW_REP:', $event_view, $show_data);

$show_data = str_replace(':NOTE_ID_REP:', $note_id, $show_data);
$show_data = str_replace(':CLASS_ID_REP:', $class_id, $show_data);
$show_data = str_replace(':EVENT_ID_REP:', $event_id, $show_data);
$show_data = str_replace(':EVENT_LINK_REP:', $event_link, $show_data);
$show_data = str_replace(':EVENT_TYPE_REP:', $event_type, $show_data);
$show_data = str_replace(':SEARCH_TEXT_REP:', $search_text, $show_data);


echo $show_data;
?>