<?php
/*»ܸιֵ
 *
 */
require_once '../../data/constant.php';
//require('../../../../mainfile.php');
require_once '../../data/db_access.php';
//require_once '../../data/xdb_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_test.php';
require_once '../../data/data_for_lec.php';

require_once '../../util/for_practice.php';
require_once '../../util/change_util.php';

ini_set("session.save_handler","files");
session_start();
if (!isset($_SESSION[SESSION_USR])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}

$event_link_id ="";
$status = "";
$event_type = "";

$practice_id="";
$vote_id = "";
$quiz_id = "";
$show_form="";

$answer_num = 0;
$answer_num_txt = "";
$result_sum_txt = "";
$answer_list_txt = "";
$student_answer = "<h2>"._EXAM_COMMON_ANALYZE_YOUR_ANS_TXT."</h2>";

$err_msg = "";
$event_link_object = null;
$uid = "";

if (isset($_GET["event_link_id"]) && is_numeric($_GET["event_link_id"])) {
	$event_link_id = $_GET["event_link_id"];

	$event_link_object = new CEventLinkTableAccess();
}else {
	$err_msg = "No Event Link ID<br/>";
}

if (isset($_GET["uid"]) && is_numeric($_GET["uid"])) {
	$uid = $_GET["uid"];
}

if ($err_msg == "") {
	//if (!$event_link_object->upDat("status = ".$status,"event_link_id=".$event_link_id,"")) {
	//	$err_msg = "Failed to Change Status";
	//}
$data_object = new CDbAccess();

if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {

	if (!$event_link_object->setOneEventLink($data_object->conn,$event_link_id)) {
		$err_msg = "Failed to Search Event";
	} else {
		if ($res = $event_link_object->dbFetchArr()) {
			$event_type = $res["event_type"];
			if ($event_type == 2) {
				//٥Ȥ
				$practice_id = $res["event_id"];
			} else if ($event_type == 3) {
				//٥Ȥɼ
				$vote_id = $res["event_id"];
			} else if ($event_type == 4) {
				//ƥ
				$quiz_id = $res["event_id"];
			}
		} else {
			$err_msg = "Failed to Search Event";
		}
		$event_link_object->dbFreeResult();
	}
}

if ($practice_id <> "") {

	$practice_object = new CPracTableAccess();
	$practice_data = $practice_object->getDetailPracticeData($data_object->conn,$practice_id);

	if ($practice_data == false) {
		$show_form = "<font color='red'>Failed to Search for Practice Data</font>";
	} else {
		$show_form .= htmlspecialchars($practice_data["practice_title"],ENT_QUOTES);
		//$show_form .=nl2br(htmlspecialchars($practice_data["practice_text"],ENT_QUOTES));
		$show_form .=source2MiniList($practice_data["practice_text"]);

		$show_form .= "<br/>";
		if ($practice_data["img_file"] <> "") {
			$show_form .= "<img src='".IMG_URL."prac_".$practice_id."/".htmlspecialchars($practice_data["img_file"],ENT_QUOTES)."' width='150' height='100' /><p/>";
		}
	}
} else if ($vote_id <>"") {
	$vote_object = new CVoteTableAccess();
	$vote_data = $vote_object->getDetailVote($data_object->conn,$vote_id);
	if ($vote_data == false) {
		$show_form = "<font color='red'>Failed to Search for Vote Data</font>";
	} else {
		$show_form .= htmlspecialchars($vote_data["vote_title"],ENT_QUOTES);
		//$show_form .=nl2br(htmlspecialchars($vote_data["vote_text"],ENT_QUOTES));
		$show_form .=source2MiniList($vote_data["vote_text"]);

		$show_form .= "<br/>";
		if ($vote_data["img_url"] <> "") {
			$show_form .= "<img src='".htmlspecialchars($vote_data["img_url"],ENT_QUOTES)."' width='150' height='100' /><p/>";
		}

	}

} else if ($quiz_id <> "") {

			//ƥȤδܾ
	$quiz_object = new CQuizTableAccess();
	$quiz_data = $quiz_object->getDetailQuiz($data_object->conn,$quiz_id);
	if ($quiz_data <> false) {
		$show_form .= htmlspecialchars($quiz_data["quiz_nam"],3);
	}


} else {
	$show_form = "<font color='red'>".$err_msg."<br/>Irregular Parameter</font>";
}
$data_object->closeDB();
}

$show_data = file_get_contents(TEMPLATE_DIR.'usr_lec_info/event_view.tpl');
$show_data = str_replace(':EVENT_SHOW_REP:', $show_form, $show_data);
$show_data = str_replace(':ERR_MSG_REP:', $err_msg, $show_data);
$show_data = str_replace(':YOUR_ANS_REP:', "", $show_data);

echo $show_data;
?>