<?php
require_once '../../data/constant.php';
$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../data/table_access.php';
require_once '../../data/data_for_lec.php';
require_once '../../data/data_for_group.php';


if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}


$ses_arr = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_arr['status'];
$admin_id=$ses_arr['teacher_id'];

$act_type = "";

$event_id = "";
$event_link="";

$class_id="";
$lecture_id="";


if (!isset($_POST["class_id"]) || !is_numeric($_POST["class_id"])||!isset($_POST["lecture_id"]) || !is_numeric($_POST["lecture_id"])
|| !isset($_POST["action_type"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

$class_id=$_POST["class_id"];
$lecture_id = $_POST["lecture_id"];

$event_link = $_POST["event_link"];
$link_info="";

$link_info = "?class_id=".$class_id."&lecture_id=".$lecture_id;

$class_info_object = new CTeacherClassAccess();
$class_inf=$class_info_object->getClassMember($conn, $class_id);
if ($class_inf == false) {
	$data_object->closeDB();

	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/class_reg/index.php");
	exit;
} else {
	//Ϥ
	//ԤôԤΤߤΥ
	if ($admin_status <> 1 && $class_inf[0]['teacher_id'] <> $admin_id) {
		$data_object->closeDB();

		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/class_reg/index.php");
		exit;
	}

}

$after_submit = null;
if (isset($_POST["after_submit"]) && is_numeric($_POST["after_submit"])) $after_submit = $_POST["after_submit"];

$agent_comment_object = new CAgentCommentDurLecTblAccess();

if ($_POST["action_type"] == "insert") {

	if (!$agent_comment_object->insComment($conn, $_POST)) {
		$err_msg = "Failed TO INSERT";
	}

} else if ($_POST["action_type"] == "update") {
	if (!$agent_comment_object->updataCommentExe($conn,$_POST)) {
		$err_msg="Failed to UPDATE";
	}

} else if ($_POST["action_type"] == "up") {
	//夲
	if (!isset($_POST["event_link_id"]) || !is_numeric($_POST["event_link_id"])
	|| !isset($_POST["order"]) || !is_numeric($_POST["order"])
	|| !isset($_POST["com_cnt"]) || !is_numeric($_POST["com_cnt"])) {
		$err_msg = "Parameter Error";
	} else {
		if (is_object($data_object)) $data_object->transactionBegin();
		if (!$agent_comment_object->upCommentOrder($conn, $_POST["event_link_id"], $_POST["order"], $after_submit, $_POST["com_cnt"])) {
			$err_msg = "Failed to Change Order";
			if (is_object($data_object)) $data_object->transactionRollBack();
		} else {
			if (is_object($data_object)) $data_object->transactionCommit();
		}
	}

} else if ($_POST["action_type"] == "down") {
	//򲼤
	if (!isset($_POST["event_link_id"]) || !is_numeric($_POST["event_link_id"])
	|| !isset($_POST["order"]) || !is_numeric($_POST["order"])
	|| !isset($_POST["com_cnt"]) || !is_numeric($_POST["com_cnt"])) {
		$err_msg = "Parameter Error";
	} else {
		if (is_object($data_object)) $data_object->transactionBegin();
		if (!$agent_comment_object->downCommentOrder($conn, $_POST["event_link_id"], $_POST["order"], $after_submit, $_POST["com_cnt"])) {
			$err_msg = "Failed to Change Order";
			if (is_object($data_object)) $data_object->transactionRollBack();
		} else {
			if (is_object($data_object)) $data_object->transactionCommit();
		}
	}

} else {
	$err_msg = "Parameter Error";
}

if ($conn <> "" && is_object($data_object)) $data_object->closeDB();


if ($err_msg == "") {
//echo $link_info;

	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/lecture_reg/ins_agent_comment.php".$link_info);
	exit;

}

echo $err_msg;


//var_dump($_POST);
?>