<?php
require_once '../../data/constant.php';
$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../data/table_access.php';
require_once '../../data/data_for_lec.php';


if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}


$ses_arr = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_arr['status'];
$admin_id=$ses_arr['teacher_id'];

$act_type = "";

$event_id = "";
$event_link="";

if (!isset($_POST["event_link"]) || !is_numeric($_POST["event_link"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

$event_link = $_POST["event_link"];
$event_info="";

if (isset($_POST["prac_id"]) && is_numeric($_POST["prac_id"])) {
	$prac_id = $_POST["prac_id"];
	$event_id = $_POST["prac_id"];
	$event_type=2;
	$event_info ="prac_id=";


} else if (isset($_POST["vote_id"]) && is_numeric($_POST["vote_id"])) {
	$vote_id = $_POST["vote_id"];
	$event_id = $_POST["vote_id"];
	$event_type=3;
	$event_info ="vote_id=";

} else if (isset($_POST["quiz_id"]) && is_numeric($_POST["quiz_id"])) {
	$quiz_id = $_POST["quiz_id"];
	$event_id = $_POST["quiz_id"];
	$event_type=4;
	$event_info ="quiz_id=";

} else {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

$event_info = "?".$event_info.$event_id."&event_link=".$event_link;

if ($admin_status <> 1) {
	
	$lec_event_link_obj = new CLecEventlinkCheck();
	if (!$lec_event_link_obj->isAvailable($conn,$event_link,$admin_id,$event_id,$event_type)) {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/login.php");
		exit;
	}
	
}
$interval_object = new CIntervalTableAccess();
if (isset($_POST["interval_id"]) &&(is_numeric($_POST["interval_id"]) || $_POST["interval_id"] == "")) {
	if (!$interval_object->insertIntervalExe($conn, $_POST)) {
		$err_msg="INSERT ERROR";
	}
} else if (isset($_POST["del_id"]) && is_numeric($_POST["del_id"])) {
	if (!$interval_object->delIntervalExe ($conn, $_POST["del_id"])) {
		$err_msg = "DELETE ERROR";
	}
}

if ($conn <> "" && is_object($data_object)) $data_object->closeDB();

if ($err_msg == "") {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/lecture_reg/interval_list.php".$event_info);
	exit;
}
echo $err_msg;

?>